.header {
  background-color: #00c8ff;

  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  text-transform: uppercase;

  color: #ffffff;
}
.header a:visited {
  color: #ffffff;
}

.top {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  justify-items: center;

  padding: 18px 0;
  max-width: 1130px;
  margin: 0 auto;
}

.logo {
  justify-self: flex-start;

  display: flex;
  gap: 2px;
}
.logo p {
  margin: 0;

  font-family: "Inter";
  font-style: normal;
  font-weight: 600;
  font-size: 22px;
  line-height: 27px;
  letter-spacing: -0.1em;
  color: #1e1d1d;
  text-transform: lowercase;
}

.busca {
  font-family: "Roboto";
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #c4c4c4;

  padding: 8px 12px;
  border-radius: 5px;
  border: 2px solid #f0f0f0;

  width: 264px;

  background: url(../images/lupa.svg) no-repeat right white;
  background-position-x: calc(100% - 12px);
}

.burger {
  display: none;

  justify-self: flex-start;
}
.burger input {
  display: none;
}
.burger input:checked ~ label span:nth-child(1) {
  transform: translate(0, 10px) rotate(45deg);
}
.burger input:checked ~ label span:nth-child(2) {
  transform: scaleX(0);
}
.burger input:checked ~ label span:nth-child(3) {
  transform: translate(0, -10px) rotate(-45deg);
}
.burger label {
  display: flex;
  flex-direction: column;
  gap: 6px;
}
.burger span {
  display: block;
  height: 4px;
  width: 28px;
  background-color: white;
  border-radius: 9px;

  transition: transform 0.2s ease-out;
}

@media (max-width: 1200px) {
  .top {
    padding: 28px 16px 16px;
  }

  .burger {
    display: block;
  }

  .logo {
    grid-column: 2;
    justify-self: center;
  }

  .busca {
    order: 1;
    grid-column: span 3;
    margin-top: 34px;
    width: 100%;
  }

  .misc {
    margin-right: 8px;
  }

  .entrar {
    display: none;
  }
}

.misc {
  justify-self: flex-end;

  display: flex;
  align-items: center;
  gap: 40px;
}

.separator {
  border-top: 1px solid #c4c4c4;
}

a {
  text-decoration: none;
}
